2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.

2009-07-30  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.20 released.

2009-07-30  Mike Sperber  <mike@xemacs.org>

	* Dired 7.17.

2009-07-28  Rodney Sparapani <rsparapa@mcw.edu>

	* dired.el (dired-sort-other): Call `dired-build-subdir-alist'
	here.

2009-07-28  Jerry James <loganjerry@gmail.com>

	* dired.el (dired-use-ls-dired): Use --dired on systems that have
	"linux" in the value of `system-configuration'.

2009-07-28  Michael Sperber  <mike@xemacs.org>

	* dired.el (dired-manual-move-to-end-of-filename): Also match dot
	after permissions, which indicates an SELinux security context.

2009-04-22  Mats Lidell <matsl@xemacs.org>

	* dired.el (dired-internal-noselect): Set mode from argument

2008-04-06  Michael Sperber  <sperber@deinprogramm.de>

	* dired.el (dired-find-buffer-nocreate): Wrap truename computation
	in condition-case so we don't barf when there are errors.

2008-03-12  Michael Sperber  <sperber@deinprogramm.de>

	* dired.el (dired-use-ls-dired): Fix logic error in the
	initialization expression, that would make this evaluate to t on
	XEmacs 21.4.

2008-01-13  Mike Sperber  <sperber@deinprogramm.de>

	* Dired 7.16.

2008-01-11  Mike Sperber  <sperber@deinprogramm.de>

	* dired.el (dired-mule): Also load dired-mule when (featurep
	'file-coding).

2008-01-08  Michael Sperber  <sperber@deinprogramm.de>

	* dired.el (dired-listing-switches): Note that it can contain `h'.
	(dired-re-before-filename): Add size suffixes for "ls -h".
	(dired-get-file-size): Adjust for above changes.

2008-01-08  Michael Sperber  <sperber@deinprogramm.de>

	* dired-sex.el (dired-parse-ls): Use.
	* dired.el (dired-manual-move-to-filename): Use.  This avoids a
	bug with lines like
	"-rw-r--r--   1 sperber  21  8730 Jan  7 09:25 foo" where
	"sperber 21 8730" is recgonized as a date.
	* dired.el (dired-re-before-filename): Add.

2007-12-17  Michael Sperber  <sperber@deinprogramm.de>

	* Dired 7.15

2007-12-17  Michael Sperber  <sperber@deinprogramm.de>

	* dired.el (dired-manual-move-to-end-of-filename): On Mac OS X
	Leopard, there's sometimes an (undocumented) character just after
	the file mode.  Make sure we don't choke on it.

2007-11-11  Michael Sperber  <sperber@deinprogramm.de>

	* Dired 7.14

2007-11-11  Michael Sperber  <sperber@deinprogramm.de>

	* dired.el (dired-ls-locale): Add.
	(dired-call-insert-directory): Add, respecting `dired-ls-locale'.
	(dired-insert-directory):
	(dired-insert-subdir-doinsert):
	(dired-add-entry): Use `dired-call-insert-directory' instead of
	`insert-directory'.

2007-09-17  Didier Verna  <didier@xemacs.org>

	* dired.el (dired-cleanup-alist): Fix misuse of the 'list widget
	type.
	* dired.el (dired-omit-extensions): Ditto.
	* dired.el (dired-omit-regexps): Ditto.

2007-08-27  Michael Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired-xemacs.el (dired-install-menubar): Correctly insert
	single-line separator into help menu.

2007-08-21  Adrian Aichner <adrian@xemacs.org>

	* dired-shell.el (dired-shell-quote): Don't quote +.

2007-02-05  Michael Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-copy-file-recursive): Parameterize over
	`copy-file' function, to enable recursive copying over EFS.
	(Needs a corresponding change in EFS.)

2006-12-30  Mats Lidell <matsl@xemacs.org>

	* dired.el (dired-re-month-and-time): Synch with FSF files.el.

2006-08-15  Adrian Aichner  <adrian@xemacs.org>

	* dired.el (dired-collect-file-versions): XEmacs 21.5 makes use of
	backup-extract-version-start.
	* dired.el (dired-trample-file-versions): Ditto.

2005-06-25  Adrian Aichner  <adrian@xemacs.org>

	* dired-xemacs.el (dired-install-menubar): dired to add itself to
	Help menu only once.

2006-02-26  Michael Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired-shell.el (dired-shell-quote): Use `shell-quote-argument'
	if present.

2006-02-26  Marcus Harnisch <Marcus.Harnisch@schleicher-electronic.com>

	* dired-rgxp.el (dired-mark-read-regexp): Regexp-quote the default
	value of the new name.

2005-05-03  Malcolm Purvis  <malcolmp@xemacs.org>

	* dired-xemacs.el (dired-install-menubar): Use proper form for
	separator in help menu.  Thanks to nelson.ferreira@ieee.org for
	reporting the bug.

2005-04-16  Michael Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired-xemacs.el (dired-set-text-properties): Use
	`dired-filename-extents' instead of `extent-list.'

2005-04-09  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* Dired 7.13.

	* dired-help.el (dired-bug-address): Change to Savannah mailing list.

2005-02-23  Michael Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired-xemacs.el (dired-maybe-filename-start):
	(dired-maybe-filename-end):
	(dired-filename-extents): Introduce `dired-filename-extents,'
	which we use now instead of `extent-list,', the previous usage of
	which isn't in XEmacs 21.1.

2005-03-17  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-align-file): Merge from GNU Emacs:
	(dired-after-add-entry): Use `dired-align-file'.

	2004-09-28  Stefan Monnier  <monnier@iro.umontreal.ca>

		(dired-align-file): New function.

2005-01-14  Steve Youngs  <steve@sxemacs.org>

	* dired.el: Use `emacs-*-version' variables for finding version
	information instead of string-matching through `emacs-version'.

	* diff.el (diff-emacs-19-p): Ditto.

2004-10-02  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* Dired 7.13.
+
2004-08-27  Ville Skyttä  <scop@xemacs.org>

	* diff.el (diff): `diff-next-hunk' has been renamed to
	`diff-hunk-next' in diff-mode.el.

2004-05-02  Hynek Schlawack  <hynek@hys.in-berlin.de>

	* dired.el (dired-re-month-and-time): Extended the RegExp to
	allow German dates which contain a dot behind the day.

2004-04-09  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-kill-line): Add this function, copied straight
	from the version in GNU Emacs.

2004-03-07  Jouni K Seppanen <jks@iki.fi>

	* dired-help.el (dired-summary): Fix `dired-summary' to correctly
	handle the output of XEmacs's `where-is-internal.'

2003-08-30  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* Dired 7.11.

2003-08-30  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-noselect):
	(dired-find-buffer-nocreate): Only access
	`find-file-compare-truenames' if it's bound.

2003-08-19  René Kyllingstad <kyllingstad@users.sourceforge.net>

	* dired.el (dired-noselect):
	(dired-find-file-compare-truenames):
	(dired-find-buffer-nocreate): Opening a dired buffer with
	find-file-compare-truenames non-nil is very slow on win32, yet it
	is especially helpful to have it non-nil on win32 since it detects
	when one opens the same file with different case in the
	filename/path (not so important for dired buffers).

2003-08-11  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-re-month-and-time): Change `setq' to a
	`defconst'.  Add comment.

2003-08-05  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired-xemacs.el (dired-move-to-permissions): Remove copy;
	somehow, there were two of them.

2003-08-03  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-use-ls-dired): Add.
	(dired-insert-directory):
	(dired-indent-listing):
	(dired-insert-subdir-doinsert):
	(dired-add-entry):
	(dired-add-entry-do-indentation): Respect `dired-use-ls-dired'.
	(dired-manual-move-to-filename): Use `dired-maybe-filename-start'.
	(dired-manual-move-to-end-of-filename): Use
	`dired-maybe-filename-end'.

	* dired-xemacs.el (dired-maybe-filename-start):
	(dired-maybe-filename-end): Added.
	(dired-set-text-properties): Don't create new extent if there's
	one already there.

	* dired-fsf.el (dired-maybe-filename-start):
	(dired-maybe-filename-end): Added.  (Completely untested.)

2003-08-02  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired-sex.el (dired-parse-ls): Convert from macro to a
	function.  Set `name' correctly.

2003-07-24  Mike Sperber  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-copy-file-recursive): Implemented recursive
	copy.
	(dired-copy-confirmer): Added.
	(dired-no-confirm): Added (const recursive-copy) type.

2003-01-28  James LewisMoss  <dres@lewismoss.org>

	* dired.el (dired-re-month-and-time): add iso-date format to
	possible month-day formats.

2002-08-27  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-find-buffer-nocreate): Cater to GNU Emacs which
	doesn't have `find-file-compare-truenames' (but which seems to
	always compare by truename.)

	* Makefile.dired (install_elc): Rename from install_obj.
	(install_elc): Ignore errors from installing non-existent .info file.
	(install_src): Ignore errors from installing non-existent .texi file.

2002-04-12  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* Dired 7.10.

2002-04-10  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-re-month-and-time): Make regexp for months more
	liberal, drawing from GNU Emacs's dired.el, hopefully making
	things work better in locales other than C.
	(dired-unmark-subdir-files): Added.
	(dired-unmark-files-in-region): Added.
	(dired-unmark): Make it work when looking at subdir, thus making
	it conform to its own documentation.
	(dired-repeat-over-lines): Stop when we've reached the wall, thus
	fixing some infinite recursions.

2002-04-06  James LewisMoss  <dres@lewismoss.org>

	* dired-shell.el (dired-do-shell-command): replace % with %% in
	the filename.

2000-12-09  Karl M. Hegbloom  <karlheg@debian.org>

	* dired-faces.el: Nicer default faces - fixes black on black
	permissions face on TTY

2000-10-19  Karl M. Hegbloom  <karlheg@debian.org>

	* dired-xemacs.el: Better movement in permissions field.

2002-04-03  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-directory-truename): Added.
	(dired-find-buffer-nocreate): Don't create new buffer if
	`find-file-compare-truenames' is non-nil and truenames
	match.

2002-01-01  Adrian Aichner  <adrian@xemacs.org>

	* dired-diff.el (dired-ediff): Invoke ediff-files on two files,
	ediff-directories on two directories, or exit with warning.

2001-08-14  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-re-month-and-time): Allow a space as a first
	digit of `time'.

2001-07-27  Peter Thiemann <thiemann@informatik.uni-freiburg.de>

	* dired-shell.el (dired-postscript-print-command): Don't try to
	apply concat to a list.

2001-07-03  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired-xemacs.el: Remove bindings for Home and End.

2001-06-11  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-insert-subdir-doinsert): Don't indent the
	listing twice.

2001-06-03  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* fixup.el (load-path): Use DIFFMODEDIR.

	* Makefile.dired (DIFFMODEDIR): Introduce.

	* dired.el (dired-recursive-delete-directory): Make the
	directory-and-no-symlink test more efficient.

2001-05-30  Gregory Neil Shapiro <gshapiro@gshapiro.net>

	* dired.el (dired-recursive-delete-directory): Don't recurse into
	symlinks.

2001-03-31  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* Makefile.dired: Added IGNORE_CUSTOM variable to control inclusion
 	of cust-stub.el.

	* cust-stub.el: Added, courtesy of Noah Friedman
	<friedman@prep.ai.mit.edu>.

	* dired.el (dired-recursive-delete-directory): Hopefully make it
	less Unix-dependent.

	* Makefile (REQUIRES): Add prog-modes dependency.

	* diff.el: Remove diff parsing code, now uses Stefan Monnier's
	diff-mode which is far more robust.
	(diff): Properly support `diff-do-narrow'.

2000-06-14  Masatake YAMATO" <masata-y@is.aist-nara.ac.jp>

	* dired.el (dired-compression-method-alist): Add bzip2 support.

2001-03-20  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired-shell.el (dired-run-shell-command): Fix another
	characters-and-ints-are-different-in-XEmacs bug.

2000-03-10  Rodney Stromlund  <Rodney.Stromlund@wnco.com>

	* dired.el (dired-find-alternate-file): Added function and bound
	it to control return.  It replaces the dired buffer with the file
	or directory.

1999-06-28  Karl M. Hegbloom  <karlheg@debian.org>

	* dired-xemacs.el (dired-move-to-permissions): New function.
	(dired-setup-chmod-keymap): Keybindings inside permissions extents
 	for C-p, up, C-n, and down.  Name the keymap with the domain
 	(u,g,o).  Now up and down movements in the permissions will stay
 	in the permissions, instead of jumping to the filename.
	(dired-permissions-arrow-move): New function.
	(dired-activate-permissions): Set 'dired-permissions extent
 	property to the domain, which was stowed as the keymap name.
	(dired-mode-map): Define `home' to move to the permissions when
 	`dired-do-interactive-chmod' is set, or beginning of line
 	otherwise.  Define `end' to move to the beginning of the
	filename.  To get to the end of the line, use C-e.

1999-04-11  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

        * dired.el (dired-insert-headerline): Insert text properties.

	* dired-xemacs.el (dired-insert-set-headerline-properties):
	(dired-get-headerline):
	(dired-insert-set-headerline-properties-internal):
	(dired-split-headerline):
	(dired-headerline-dired):
	(dired-headerline-dired-other-window):
	(dired-headerline-dired-other-frame):
	(dired-headerline-dired-internal):
	(dired-headerline-dired-by-key):
	(dired-headerline-dired-other-window-by-key):
	(dired-headerline-dired-other-frame-by-key):
	(dired-headerline-dired-by-key-internal): New functions.
	(dired-headerline-local-map): New key map.

	* dired-faces.el (dired-face-header): New face.

1999-03-15  Ben North <north@robots.ox.ac.uk>

	* dired.el (dired-unmark-all-files): Fix bug when removing a
	specific mark.

1999-03-12   Kevin Broadey <kevin.broadey@eds.com>

	* dired.el (dired-re-month-and-time): Make the order of month and
	day arbitrary.

2001-03-09  Darryl Okahata <darrylo@sr.hp.com>

	* dired.el (dired-insert-directory): Under XEmacs, indenting a
	fontified region is very expensive and time-consuming.  The
	included patch indents the dired buffer before fontifying it.  On
	the XEmacs MS Windows port, this patch improves the speed by a
	factor of 1.5-3X.

2001-03-09  Michael Ernst <mernst@cs.washington.edu>

	* dired.el (dired-omit-extensions): Doc fix.

2001-03-09  Karl M. Hegbloom  <karlheg@inetarena.com>

	* dired-shell.el (dired-auto-shell-command-alist): defcustom'ed.

1998-04-25  Karl M. Hegbloom  <karlheg@inetarena.com>

	* dired-shell.el (dired-default-auto-shell-command-alist): bumped
 	`ghostview' aside in favor of the more modern `gv', add support
 	for `pdf/acroread', and `lect/LecternClient' (for DEC SRC
 	Lectern).

1998-04-08  Greg Klanderman  <greg@alphatech.com>

	* dired.el (dired-pop-to-buffer): respect the user's setting of
	temp-buffer-show-function.

2001-03-09  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired-shell.el (dired-run-shell-command): Fixed XEmacs char
	vs. number  bug.

2001-03-09  dsg@mitre.org <David S. Goldberg>

	* dired-shell.el (dired-do-shell-command): Add triple C-u for dwim
	support.

2001-03-02  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired.el:
	* dired-cmpr.el:
	* dired-diff.el:
	* dired-grep.el:
	* dired-mob.el:
	* dired-rgxp.el:
	* dired-sex.el:
	* dired-shell.el:
	* dired-uu.el:
	* dired-vir.el:
	* dired-xy.el: Added auto-autoload declarations.

2000-09-21  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired-faces.el: Changes 'dired groups to 'dired-faces.

2000-02-28  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* diff.el (diff-temp-template): Parameterize over (temp-directory).

	* dired-help.el (dired-documentation): Typo fix:
	Switch keys for dired-previous-line and dired-next-line.

	* dired-xemacs.el (dired-setup-menus): Fix typo in
	<m11D0qG-000VqDC@held> on efs-bugs.

1999-08-25  Jason Kim <jason@meta4.net>

	* dired.el (dired-find-and-bury-buffer): Added function for
	loading up a whole bunch of (marked) files into Emacs, bound to
	C-c C-f.

1999-08-16  Adrian Aichner  <aichner@ecf.teradyne.com>

	* dired-uu.el: Ditto.

	* dired-shell.el: Ditto.

	* dired.el: Replace "-c" where `shell-command-switch' should be
 	used instead.

Tue Oct 19 14:46:41 1999  Noah Friedman  <friedman@splode.com>

	* dired.el (dired-goto-subdir): Use = to compare the results of
	goto-char and point.  In emacs 20.4, goto-char returns a marker if
	its arg is a marker, and these are never eq with point.

1998-08-22  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired.el, dired-help.el, LISTS: Updated mailing list addresses.

1998-08-22  Noah Friedman <friedman@prep.ai.mit.edu>

	* dired-fsf.el (characterp): Added.

1998-08-22  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired.el (dired-next-line): Simplified.

1998-03-13  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* fixup.el (load-path): Added $CUSTOMDIR.

	* dired.el: GNU Emacs compatibility adjustments.

	* dired-fsf.el (char-before): Added.

	* diff.el: Required custom.

1998-03-12  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* dired-faces.el (dired-face-permissions): Made them visible on a
 	TTY.

1998-02-17  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* diff.el: Region stays for diff-beginning-of-buffer and
 	diff-end-of-buffer.

1998-02-17  Russell Ritchie <russell@britannia-life.co.uk>

	* dired-xemacs.el: Make it possible to overtype what you wish
	the permissions were and make it so.

1997-12-12  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* ChangeLog: created
